ZSOELIM(1)

NAZWA
zsoelim - wypełnia żądania .so w wejściu roff

SKŁADNIA
zsoelim [-CVh] [plik ...]

OPIS
zsoelim analizuje zawartość plików, podanych jako argumenty, albo jeśli ich nie podano, swoje standardowe wejście, poszukując wierszy o postaci: .so <nazwa_pliku> Żądania takie są zastępowane zawartością podanego pliku. Jeżeli żądanie nie może być spełnione, to zsoelim szuka pliku.ext gdzie .ext może być jednym z .gz, .Z lub .z. W zależności od opcji ustalonych podczas kompilacji mogą być też obsługiwane inne typy rozszerzeń. Jeżeli żądanie spełnia plik skompresowany, to plik ten jest dekompresowany przy użyciu odpowiedniego programu dekompresującego, a jego wynik używany jest do wykonania żądania. Tradycyjnie programy soelim używane były do umożliwienia preprocesorom roff przetwarzania plików wskazywanych przez żądania. Ta konkretna wersja została napisana, by obejść problemy stworzone przez obsługę skompresowanych stron podręczników man.

OPCJE

-C, --compatible
    Flaga ta istnieje dla zgodności z innymi programami soelim. Jej zadaniem jest włączanie przetwarzania żądań .so poprzedzonych czymś innym niż białe znaki (spacje, tabulatory, znaki nowej linii). Ponieważ takie zachowanie jest już domyślne dla zsoelim, jest ona ignorowana.

-h, --help
    Wyświetla komunikat pomocy i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

ZOBACZ TAKŻE
groff(1), man(1), nroff(1), troff(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BŁĘDY
https://savannah.nongnu.org/bugs/?group=man-db

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.